package App::Schema::Bookmark;
use strict;
use warnings;
use base qw/DBIx::Class/;

__PACKAGE__->load_components(qw/UTF8Columns InflateColumn::DateTime PK::Auto Core/);
__PACKAGE__->table('bookmark');
__PACKAGE__->add_columns(qw/user_id entry_id comment/);
__PACKAGE__->add_column(created_on => {
    data_type => 'datetime'
});
__PACKAGE__->utf8_columns(qw/comment/);
__PACKAGE__->set_primary_key(qw/user_id entry_id/);
__PACKAGE__->resultset_attributes({ order_by => 'created_on DESC'});
__PACKAGE__->belongs_to(
    entry => 'App::Schema::Entry', {
        'foreign.id' => 'self.entry_id'
    }
);

1;
