package URI::Fetch::HTML;
use strict;
use warnings;
use base qw/URI::Fetch/;

use Encode;
use Encode::Detect;
use HTML::TreeBuilder::XPath;
use HTML::Selector::XPath qw/selector_to_xpath/;

sub URI::Fetch::Response::content_as_tree {
    my $res = shift;
    my $tree = HTML::TreeBuilder::XPath->new;
    $tree->parse($res->content);
    $tree->eof;
    $tree;
}

sub URI::Fetch::Response::title {
    my $self = shift;
    my $nodes = $self->content_as_tree->findnodes(
        selector_to_xpath('html > head > title')
    );
    decode("Detect", $nodes ? $nodes->[0]->as_text : '');
}

1;
